petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPythonSetType

Initalize a Mat object implemented in Python.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPythonSetType(Mat mat,const char pyname[])

Collective on Mat Many br

### Input Parameter

| mat | - the matrix (Mat) object. Many br
| pyname | - full dotted Python name [package].module[.{class|function}] Many br

### Options Database Key

-mat_python_type <pyname> - Many br Many br

### Keywords

Mat, Python

### See Also

MatCreate(), MatSetType(), MATPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/mat/impls/python/pythonmat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages